### Method

# GUPnPAV DIDLLiteWriter filter

#### Declaration [src]

    void
    gupnp_didl_lite_writer_filter (
      GUPnPDIDLLiteWriter* writer,
      const char* filter
    )

#### Description [src]

Clears the DIDL-Lite XML document of the properties not specified in the `filter`. The passed filter string would typically come from the ‘Filter’ argument of Browse or Search actions from a ContentDirectory control point. Please refer to Section 2.3.15 of UPnP AV ContentDirectory version 3 specification for details on this string.

#### Parameters

`filter`

  Type: `const char*`

  A filter string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.